关闭

自定义抛出异常

103人阅读 评论(0) 收藏 举报
public class MyException extends Exception {    //创建自定义异常类型继承Exception类
 /**
  *
  */
 private static final long serialVersionUID = 1L;
 public MyException(String ErrorMessage) {         //   构造方法
  super(ErrorMessage);                          //父类的构造方法
}
}
public class buttoncla{
 static int avg(int number1,int number2)throws MyException {//在avg方法中抛出异常
  if(number1<0||number2<0)
   throw new MyException("不可以使用负数!");
  if(number1>100||number2>100)
   throw new MyException("数值太大了!");
  return (number1+number2)/2;}
  public static void main(String args[]) {
   try {
    int result=avg(102,150);
    System.out.println(result);
    
   }
   catch(MyException e){
    System.out.println(e);    //输出异常
   }
  }
  
 }
0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:782次
    • 积分:219
    • 等级:
    • 排名:千里之外
    • 原创:9篇
    • 转载:4篇
    • 译文:12篇
    • 评论:0条
    文章存档